## ros-melodic-audibot-gazebo 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(audibot_gazebo)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  gazebo_ros
  tf2_ros
  tf2_geometry_msgs
  nav_msgs
)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

find_package(gazebo REQUIRED)
link_directories(${GAZEBO_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES audibot_interface_plugin
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  include
)

add_library(audibot_interface_plugin
  src/AudibotInterfacePlugin.cpp
)
add_dependencies(audibot_interface_plugin
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(audibot_interface_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
)

### Install Rules
install(
  TARGETS
    audibot_interface_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  DIRECTORY
    launch
    rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

roslaunch_add_file_check(../launch)

add_rostest(audibot_tests.test)

## ros-melodic-audibot-gazebo 0.1.1

=== debian/changelog ===
ros-melodic-audibot-gazebo (0.1.1-1stretch) stretch; urgency=high

  * Increases max braking torque to 8000 Nm
  * Adds simulation of Drive and Reverse gears
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 25 Jul 2020 04:00:00 -0000

ros-melodic-audibot-gazebo (0.1.0-1stretch) stretch; urgency=high

  * First release
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sun, 30 Sep 2018 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-audibot-gazebo
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mtradovn@oakland.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-ros, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-audibot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-pkgs, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-tf
Description: Gazebo model plugin to simulate Audibot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-audibot-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-audibot-gazebo 0.2.2

=== debian/changelog ===
ros-melodic-audibot-gazebo (0.2.2-1bionic) bionic; urgency=high

  * Add nav_msgs dependency to audibot_gazebo
  * Publish odometry and steering angle feedback
  * Remove tf_prefixer.py that is no longer needed in ROS Noetic
  * Contributors: Micho Radovnikovich, Tor Børve Rasmussen

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Tue, 01 Nov 2022 04:00:00 -0000

ros-melodic-audibot-gazebo (0.2.1-1bionic) bionic; urgency=high

  * Bump minimum CMake version to 3.0.2 as recommended for ROS Noetic
  * Adds dependency on tf2_geometry_msgs
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Wed, 29 Jul 2020 04:00:00 -0000

ros-melodic-audibot-gazebo (0.2.0-1bionic) bionic; urgency=high

  * Implements tf_prefix functionality that was removed from robot_state_publisher
  * Migrates from tf to tf2
  * Prevents publishing TF frame transforms with the same timestamp
  * Changes names of joints to be different from links
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 25 Jul 2020 04:00:00 -0000

ros-melodic-audibot-gazebo (0.1.1-1bionic) bionic; urgency=high

  * Increases max braking torque to 8000 Nm
  * Adds simulation of Drive and Reverse gears
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sat, 25 Jul 2020 04:00:00 -0000

ros-melodic-audibot-gazebo (0.1.0-1bionic) bionic; urgency=high

  * First release
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mtradovn@oakland.edu>  Sun, 30 Sep 2018 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-audibot-gazebo
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mtradovn@oakland.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-ros, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rospy <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-audibot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-audibot-description, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-pkgs, ros-melodic-nav-msgs, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: Gazebo model plugin to simulate Audibot

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
